import router from './router' // vue官方的路由
import store from './store' // vue状态管理
import { Message, MessageBox } from 'element-plus' // 引入Message、MessageBox
import NProgress from 'nprogress' // 进度条
import 'nprogress/nprogress.css' // 进度条样式
import getPageTitle from '@/utils/get-page-title' // 获取页面标题
import { Caegw_LogUrl } from '@/settings' // 引入settings.js

NProgress.configure({ showSpinner: false }) // NProgress配置

const whiteList = []// 免登录的'白名单
// 前置路由守卫
router.beforeEach(async (to, from, next) => {
  NProgress.start() // 开启进度条
  document.title = getPageTitle(to.meta.title) // 设置页面标题

  const token = store.getters.token // 确定用户是否已登录

})

// 后置路由守卫
router.afterEach(() => {
  NProgress.done() // 关闭进度条
})